{"title":"Get retainedEarningsStatement","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_retainedearningsstatement_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_retainedearningsstatement_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_retainedearningsstatement_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a retained earnings statement object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":111,"chars":219},{"level":2,"title":"Request headers","slug":"request-headers","at":330,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":402,"chars":61},{"level":2,"title":"Response","slug":"response","at":463,"chars":137},{"level":2,"title":"Example","slug":"example","at":600,"chars":656},{"level":2,"title":"Related information","slug":"related-information","at":1256,"chars":146}],"text":"Retrieve the properties and relationships of a retained earnings statement report object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/retainedEarningsStatements\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a retainedEarningsStatement object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/retainedEarningsStatements?$orderby=lineNumber&$filter=dateFilter ge 2019-01-01 and dateFilter le 2020-12-31\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n    \"id\": \"f7fbf171-44e3-ea11-bb43-000d3a2feca1\",\n    \"lineNumber\": 10000,\n    \"display\": \"Retained Earnings, Period Start\",\n    \"netChange\": 69723.14,\n    \"lineType\": \"detail\",\n    \"indentation\": 0,\n    \"dateFilter\": \"2020-08-21\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_retainedearningsstatement"}